%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-jscs

# tests fail in mock/koji
%global enable_tests 0

Name:		nodejs-conventional-changelog-jscs
Version:	0.1.0
Release:	4%{?dist}
Summary:	conventional-changelog jscs preset

License:	ISC
URL:		https://github.com/stevemao/conventional-changelog-jscs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license file
Source1:	https://raw.githubusercontent.com/conventional-changelog/conventional-changelog/master/LICENSE.md


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(q)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(conventional-changelog-core)
BuildRequires:	npm(shelljs)
%endif

%description
conventional-changelog jscs preset


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js templates/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Apr  4 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
